Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTreeUI.SelectionModelPropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.SelectionModelPropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.SelectionModelPropertyChangeHandler extends Object implements PropertyChangeListener
Listener on the TreeSelectionModel, resets the row selection if any of the properties of the model change.

## Constructor Summary

Constructors
Constructor
Description
`SelectionModelPropertyChangeHandler()`
Constructs a `SelectionModelPropertyChangeHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange​(PropertyChangeEvent event)`
This method gets called when a bound property is changed.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SelectionModelPropertyChangeHandler

public SelectionModelPropertyChangeHandler()
Constructs a `SelectionModelPropertyChangeHandler`.

## Method Details

### propertyChange

public void propertyChange​(PropertyChangeEvent event)
Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `event` - A PropertyChangeEvent object describing the event source and the property that has changed.